Package org.springframework.beans.propertyeditors

# Class URLEditor

java.lang.Object
java.beans.PropertyEditorSupport
org.springframework.beans.propertyeditors.URLEditor

All Implemented Interfaces:
  `PropertyEditor`

public class URLEditor extends PropertyEditorSupport
Editor for `java.net.URL`, to directly populate a URL property instead of using a String property as bridge.

Supports Spring-style URL notation: any fully qualified standard URL ("file:", "http:", etc) and Spring's special "classpath:" pseudo-URL, as well as Spring's context-specific relative file paths.

Note: A URL must specify a valid protocol, else it will be rejected upfront. However, the target resource does not necessarily have to exist at the time of URL creation; this depends on the specific resource type.

Since:
  15.12.2003
Author:
  Juergen Hoeller
See Also:
  - `URL`
  - `ResourceEditor`
  - `ResourceLoader`
  - `FileEditor`
  - `InputStreamEditor`

## Constructor Summary

Constructors
Constructor
Description
`URLEditor()`
Create a new URLEditor, using a default ResourceEditor underneath.
`URLEditor(org.springframework.core.io.ResourceEditor resourceEditor)`
Create a new URLEditor, using the given ResourceEditor underneath.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAsText()`
`void`
`setAsText(String text)`

### Methods inherited from class java.beans.PropertyEditorSupport

`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### URLEditor

public URLEditor()
Create a new URLEditor, using a default ResourceEditor underneath.

### URLEditor

public URLEditor(org.springframework.core.io.ResourceEditor resourceEditor)
Create a new URLEditor, using the given ResourceEditor underneath.

Parameters:
  `resourceEditor` - the ResourceEditor to use

## Method Details

### setAsText

public void setAsText(String text) throws IllegalArgumentException

Specified by:
  `setAsText` in interface `PropertyEditor`
Overrides:
  `setAsText` in class `PropertyEditorSupport`
Throws:
  `IllegalArgumentException`

### getAsText

public String getAsText()

Specified by:
  `getAsText` in interface `PropertyEditor`
Overrides:
  `getAsText` in class `PropertyEditorSupport`